<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" ><xsl:output method="xml" ></xsl:output>
<xsl:strip-space elements="*" ></xsl:strip-space>
<xsl:template match="PubmedArticleSet" ><PubmedArticleSet><xsl:apply-templates></xsl:apply-templates>
</PubmedArticleSet>
</xsl:template>
<xsl:template match="PubmedArticle" ><PubmedArticle><Title><xsl:apply-templates select=".//ArticleTitle" ></xsl:apply-templates>
</Title>
<Authors><xsl:apply-templates select=".//AuthorList" ></xsl:apply-templates>
</Authors>
<MedlineJournalInfo><xsl:apply-templates select=".//MedlineJournalInfo/MedlineTA" ></xsl:apply-templates>
</MedlineJournalInfo>
<JournalIssue><xsl:apply-templates select=".//JournalIssue" ></xsl:apply-templates>
</JournalIssue>
<Pages><xsl:apply-templates select=".//Pagination" ></xsl:apply-templates>
</Pages>
<Abstract><xsl:apply-templates select=".//Abstract" ></xsl:apply-templates>
</Abstract>
<PMID><xsl:value-of select=".//PMID" ></xsl:value-of>
</PMID>
<UID><xsl:value-of select=".//MedlineID" ></xsl:value-of>
</UID>
</PubmedArticle>
</xsl:template>
<xsl:template match="MedlineTA" ><xsl:value-of select="." ></xsl:value-of>
</xsl:template>
<xsl:template match="URL[@Type=&apos;FullText&apos;]" ><a><xsl:attribute name="href" ><xsl:value-of select="." ></xsl:value-of>
</xsl:attribute>
full text
</a>
</xsl:template>
<xsl:template match="ArticleTitle" ><xsl:value-of select="." ></xsl:value-of>
</xsl:template>
<xsl:template match="Affiliation" ><xsl:value-of select="." ></xsl:value-of>
</xsl:template>
<xsl:template match="Abstract" ><xsl:value-of select="." ></xsl:value-of>
</xsl:template>
<xsl:template match="JournalIssue" ><xsl:apply-templates select="PubDate" ></xsl:apply-templates>
;
<xsl:value-of select="Volume" ></xsl:value-of>
(
<xsl:value-of select="Issue" ></xsl:value-of>
)
</xsl:template>
<xsl:template match="Pagination" ><xsl:text>:
</xsl:text>
<xsl:value-of select="MedlinePgn" ></xsl:value-of>
</xsl:template>
<xsl:template match="PubDate" ><xsl:value-of select="Year" ></xsl:value-of>
<xsl:text></xsl:text>
<xsl:value-of select="Month" ></xsl:value-of>
</xsl:template>
<xsl:template match="MedlineCitation" ><xsl:apply-templates></xsl:apply-templates>
</xsl:template>
<xsl:template match="AuthorList" ><xsl:for-each select="Author" ><Author><xsl:value-of select="LastName" ></xsl:value-of>
<xsl:apply-templates select="Initials" ></xsl:apply-templates>
</Author>
</xsl:for-each>
</xsl:template>
<xsl:template match="Initials" ><xsl:call-template name="initial" ><xsl:with-param name="initials" ><xsl:value-of select="." ></xsl:value-of>
</xsl:with-param>
</xsl:call-template>
</xsl:template>
<xsl:template name="initial" ><xsl:param name="initials" ></xsl:param>
<xsl:value-of select="substring($initials,0,2)" ></xsl:value-of>
</xsl:template>
<xsl:template match="text()" ></xsl:template>
</xsl:stylesheet>
