<?xml version="1.0"?> 

<!--
Author:  Kevin A Burton (burton@openprivacy.org)
$Id: news-rss.xsl,v 1.3 2000/09/24 03:18:22 burton Exp $
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                version="1.0">

    <xsl:output indent="yes" method="html"/>

    <!-- BEGIN /document node support for RSS-->
    <xsl:template match="/rss">


        <xsl:comment>#include virtual="/includes/top.html"</xsl:comment>

        <xsl:comment>#include virtual="/includes/navigation.html"</xsl:comment>

        <div>

            <h3>News</h3>
        
            <xsl:apply-templates select="channel"/>
            <xsl:apply-templates select="channel/item"/>
            <xsl:apply-templates select="channel/textinput"/>            
        </div>
        
        <xsl:comment>#include virtual="/includes/bottom.html"</xsl:comment>
        
        
    </xsl:template>



    <!-- END /document node support for RSS-->    
    
    <xsl:template match="item">

        <xsl:variable name="description"     select="description"/>
    
        <li>
                <a href="{link}">
                    <xsl:value-of select="title"/>
                </a>
            <p>
            <xsl:if test="$description != ''">
                <p>
                <xsl:value-of select="$description"/>
                </p>
            </xsl:if>
            </p>
        </li>
        
    </xsl:template>
    
    <xsl:template match="channel">

        <xsl:variable name="description"     select="description"/>    
        
        <xsl:if test="$description != ''">
            <p>

            <xsl:apply-templates select="image"/>
            
            <xsl:value-of select="$description"/>            

            </p>
        </xsl:if>
        
    </xsl:template>


    
    
    <!-- BEGIN TEXTINPUT SUPPORT -->


    <xsl:template match="textinput">
        
        <form action="{./link}">
        <xsl:value-of select="./description"/>
        <br>
        <input type="text" name="{./name}" value=""></input>
        <input type="submit" name="submit" value="{./title}"></input>
        </br>
        </form>
        
    </xsl:template>

    
    <!-- END TEXTINPUT SUPPORT -->    
    
    <!-- BEGIN IMAGE SUPPORT -->        

    <xsl:template match="image">

        <a href="{./link}" align="right">
            <img alt="{./title}" 
                 src="{./url}" 
                 width="{./width}" 
                 height="{./height}" 
                 align="right" 
                 border="0"></img>
        </a>
        
    </xsl:template>

    <!-- ENd IMAGE SUPPORT -->
    
    
</xsl:stylesheet>



