<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" ><xsl:output method="xml" ></xsl:output>
<xsl:strip-space elements="*" ></xsl:strip-space>
<xsl:template match="PubmedArticleSet" ><rss><xsl:attribute name="version" >0.91</xsl:attribute>
<channel><title> CRM news</title>
<link>http://www.moreover.com</link>
<description>CRM news - news headlines from around the web, refreshed every 15 minutes</description>
<language>en-us</language>
<image><title>moreover...</title>
<url>http://i.moreover.com/pics/rss.gif</url>
<link>http://www.moreover.com</link>
<width>144</width>
<height>16</height>
<description>News headlines from more than 1,800 sources, harvested every 15 minutes...</description>
</image>
<xsl:apply-templates></xsl:apply-templates>
</channel>
</rss>
</xsl:template>
<xsl:template match="PubmedArticle" ><item><title><xsl:apply-templates select=".//ArticleTitle" ></xsl:apply-templates>
  SOURCE:<xsl:apply-templates select=".//MedlineJournalInfo/MedlineTA" ></xsl:apply-templates>
</title>
<link><xsl:text>http://www.ncbi.nlm.nih.gov/htbin-post/Entrez/query?db=m&amp;form=6&amp;uid=</xsl:text>
<xsl:value-of select=".//MedlineID" ></xsl:value-of>
</link>
<description><xsl:apply-templates select=".//Abstract" ></xsl:apply-templates>
</description>
</item>
</xsl:template>
<xsl:template match="MedlineTA" ><xsl:value-of select="." ></xsl:value-of>
</xsl:template>
<xsl:template match="URL[@Type=&apos;FullText&apos;]" ><a><xsl:attribute name="href" ><xsl:value-of select="." ></xsl:value-of>
</xsl:attribute>
full text</a>
</xsl:template>
<xsl:template match="ArticleTitle" ><xsl:value-of select="." ></xsl:value-of>
</xsl:template>
<xsl:template match="Affiliation" ><xsl:value-of select="." ></xsl:value-of>
</xsl:template>
<xsl:template match="Abstract" ><xsl:value-of select="substring(.,0,300)" ></xsl:value-of>
</xsl:template>
<xsl:template match="JournalIssue" ><xsl:apply-templates select="PubDate" ></xsl:apply-templates>
;<xsl:value-of select="Volume" ></xsl:value-of>
(<xsl:value-of select="Issue" ></xsl:value-of>
)</xsl:template>
<xsl:template match="Pagination" ><xsl:text>:</xsl:text>
<xsl:value-of select="MedlinePgn" ></xsl:value-of>
</xsl:template>
<xsl:template match="PubDate" ><xsl:value-of select="Year" ></xsl:value-of>
<xsl:text></xsl:text>
<xsl:value-of select="Month" ></xsl:value-of>
</xsl:template>
<xsl:template match="MedlineCitation" ><xsl:apply-templates></xsl:apply-templates>
</xsl:template>
<xsl:template match="AuthorList" ><xsl:for-each select="Author" ><Author><xsl:value-of select="LastName" ></xsl:value-of>
<xsl:apply-templates select="Initials" ></xsl:apply-templates>
</Author>
</xsl:for-each>
</xsl:template>
<xsl:template match="Initials" ><xsl:call-template name="initial" ><xsl:with-param name="initials" ><xsl:value-of select="." ></xsl:value-of>
</xsl:with-param>
</xsl:call-template>
</xsl:template>
<xsl:template name="initial" ><xsl:param name="initials" ></xsl:param>
<xsl:value-of select="substring($initials,0,2)" ></xsl:value-of>
</xsl:template>
<xsl:template match="text()" ></xsl:template>
</xsl:stylesheet>
